Bug 1077300 - VM's can't be started after fresh install [NEEDINFO]
Summary: VM's can't be started after fresh install
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-webadmin
Version: 3.4
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 3.4.1
Assignee: Roy Golan
QA Contact: Pavel Stehlik
URL:
Whiteboard: virt
Depends On:
Blocks: 1075602 1114266
TreeView+ depends on / blocked
 
Reported: 2014-03-17 16:32 UTC by Michal Skrivanek
Modified: 2014-06-29 12:24 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 1075602
Environment:
Last Closed: 2014-05-08 13:37:57 UTC
oVirt Team: ---
michal.skrivanek: needinfo? (obasan)


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 26283 0 None None None Never
oVirt gerrit 26284 0 master MERGED core: [monitoring] process hardware caps before software Never
oVirt gerrit 27202 0 ovirt-engine-3.4 MERGED core: [monitoring] clean up unhelpful logs and comments Never
oVirt gerrit 27203 0 ovirt-engine-3.4 MERGED core: [monitoring] process hardware caps before software Never
oVirt gerrit 27253 0 master MERGED core: Activate host doesn't set return value Never
oVirt gerrit 27257 0 ovirt-engine-3.4 MERGED core: Activate host doesn't set return value Never
oVirt gerrit 27259 0 ovirt-engine-3.4.1 MERGED core: Activate host doesn't set return value Never
oVirt gerrit 27539 0 master MERGED core: call prccessHardwareCaps after GetHardwareInfo Never
oVirt gerrit 27561 0 ovirt-engine-3.4 MERGED core: call prccessHardwareCaps after GetHardwareInfo Never

Description Michal Skrivanek 2014-03-17 16:32:11 UTC
Description of problem:
VM's can't be started with Failed to run VM <vm-name> (User: admin). message.

How reproducible:
fails only on clean installs for the Default cluster only

Steps to Reproduce:
1. Clean install 3.4
2. Configure the env. adding host and storage.
3. Create VMs
4. Attempt to start VMs

Actual results:
Start fails with error message of "Failed to run VM <vm-name> (User: admin)".

Expected results:
VMs should start normally.

Workaround:
1) go through Maintenance->Up cycle for at least one host in the Default cluster
or
2) create a new cluster
or
3) restart the engine after the first host is added

Comment 2 Michal Skrivanek 2014-04-14 12:01:52 UTC
Roy, any progress? patches look ready

Comment 3 Ohad Basan 2014-04-30 12:14:02 UTC
REST reports error although the host is up

Comment 4 Sandro Bonazzola 2014-05-08 13:37:57 UTC
This is an automated message

oVirt 3.4.1 has been released:
 * should fix your issue
 * should be available at your local mirror within two days.

If problems still persist, please make note of it in this bug report.

Comment 5 Michal Skrivanek 2014-05-08 18:49:21 UTC
Does automation pass now?


Note You need to log in before you can comment on or make changes to this bug.